My Oracle Support Banner

Unable To Deploy Cartridge After UIM Upgrade To 7.4.0.7 (Doc ID 2644527.1)

Last updated on APRIL 27, 2021

Applies to:

Oracle Communications Unified Inventory Management - Version 7.4.0.0.0 and later
Information in this document applies to any platform.

Goal

On : 7.4.0.0.0 version, Other Issues

Unable to Deploy Cartridge after upgrading UIM especially when Custom Cartridge has some Custom Java code.

During the deployments its erroring out. The issue is seen till UIM7.4.0.8.1.

Error :

[Details]: Error installing cartridges: {<Cartridge******>=oracle.communications.inventory.api.exception.RuleExecutionException: Error occured while compiling Rule: The ruleset :"ruleset " DROOLS content cannot be compiled because of this error ERROR: Message************ resolves to a package
]]

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.